Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 4246)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4246 2019-09-30 09:27:52Z pavelkrc
 ! Corrected "Former revisions" section
 ! 
@@ -91,5 +94,5 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -261,10 +264,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )),&
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )),&
                                        DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -330,9 +333,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -373,9 +376,9 @@
                             im = mask_i(mid,i)
                             jm = mask_j(mid,j)
-                            ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                            ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                             DO  k = 1, mask_size_l(mid,3)
                                kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                            Set value if not in building
-                               IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                               IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                   local_pf(i,j,k) = fill_value
                                ELSE
@@ -467,9 +470,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -506,9 +509,9 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -648,9 +651,9 @@
                    im = mask_i(mid,i)
                    jm = mask_j(mid,j)
-                   ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                   ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                    DO  k = 1, mask_size_l(mid,3)
                       kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                   Set value if not in building
-                      IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                      IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                          local_pf(i,j,k) = fill_value
                       ELSE
